Package org.apache.cayenne.access.types

## Class BooleanType

- java.lang.Object
- - org.apache.cayenne.access.types.BooleanType

- All Implemented Interfaces:
    `ExtendedType<Boolean>`
  Direct Known Subclasses:
    `IngresBooleanType`

      public class BooleanType
      extends Object
      implements ExtendedType<Boolean>

  Handles `java.lang.Boolean` mapping. Note that "materialize*" methods return either Boolean.TRUE or Boolean.FALSE, instead of creating new Boolean instances using constructor. This makes possible identity comparison such as `object.getBooleanProperty() == Boolean.TRUE`.
  Since:
    1.2

- - ### Field Summary

    - ### Fields inherited from interface org.apache.cayenne.access.types.ExtendedType

      `TRIM_VALUES_THRESHOLD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BooleanType()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getClassName()` | Returns a full name of Java class that this ExtendedType supports.
    `Boolean` | `materializeObject​(CallableStatement st, int index, int type)` | Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
    `Boolean` | `materializeObject​(ResultSet rs, int index, int type)` | Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
    `void` | `setJdbcObject​(PreparedStatement st, Boolean val, int pos, int type, int precision)` | Initializes a single parameter of a PreparedStatement with object value.
    `String` | `toString​(Boolean value)` | Converts value of the supported type to a human-readable String representation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanType

          public BooleanType()

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Description copied from interface: `ExtendedType`
      Returns a full name of Java class that this ExtendedType supports.
      Specified by:
        `getClassName` in interface `ExtendedType<Boolean>`

    - #### setJdbcObject

          public void setJdbcObject​(PreparedStatement st,
                                    Boolean val,
                                    int pos,
                                    int type,
                                    int precision)
                             throws Exception

      Description copied from interface: `ExtendedType`
      Initializes a single parameter of a PreparedStatement with object value.
      Specified by:
        `setJdbcObject` in interface `ExtendedType<Boolean>`
      Throws:
        `Exception`

    - #### materializeObject

          public Boolean materializeObject​(ResultSet rs,
                                           int index,
                                           int type)
                                    throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType<Boolean>`
      Throws:
        `Exception` - if read error occurred, or an object can't be converted to a target Java class.

    - #### materializeObject

          public Boolean materializeObject​(CallableStatement st,
                                           int index,
                                           int type)
                                    throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType<Boolean>`
      Throws:
        `Exception` - if read error occurred, or an object can't be converted to a target Java class.

    - #### toString

          public String toString​(Boolean value)

      Description copied from interface: `ExtendedType`
      Converts value of the supported type to a human-readable String representation.
      Specified by:
        `toString` in interface `ExtendedType<Boolean>`
      Parameters:
        `value` - a value to convert to String.